interactions:
- request:
    body: '{"enableTrace": true, "inputText": "I like beach vacations but also nature
      and outdoor adventures. I''d like the trip to be 7 days, and include lounging
      on the beach, something like an all-inclusive resort is nice too (but I prefer
      luxury 4/5 star resorts)"}'
    headers:
      Content-Length:
      - '257'
      Content-Type:
      - !!binary |
        YXBwbGljYXRpb24vanNvbg==
      User-Agent:
      - !!binary |
        Qm90bzMvMS4zOC4yNiBtZC9Cb3RvY29yZSMxLjM4LjI2IHVhLzIuMSBvcy9tYWNvcyMyNC40LjAg
        bWQvYXJjaCNhcm02NCBsYW5nL3B5dGhvbiMzLjEwLjUgbWQvcHlpbXBsI0NQeXRob24gbS9aLGIg
        Y2ZnL3JldHJ5LW1vZGUjbGVnYWN5IEJvdG9jb3JlLzEuMzguMjY=
      X-Amz-Date:
      - !!binary |
        MjAyNTA1MzBUMTcyODA4Wg==
      amz-sdk-invocation-id:
      - !!binary |
        NzBkNzk2ZmMtMzQ0ZC00NWE1LWFmOTctZDI2ZjVjN2M1MTAy
      amz-sdk-request:
      - !!binary |
        YXR0ZW1wdD0x
    method: POST
    uri: https://bedrock-agent-runtime.us-east-1.amazonaws.com/agents/EITYAHSOCJ/agentAliases/NWGOFQESWP/sessions/test_session/text
  response:
    body:
      string: !!binary |
[encoded data, 51935 characters]
        SmxabVZ5TGc9PSJ9OQoUsw==
    headers:
      Connection:
      - keep-alive
      Content-Type:
      - application/vnd.amazon.eventstream
      Date:
      - Fri, 30 May 2025 17:28:08 GMT
      Transfer-Encoding:
      - chunked
      x-amz-bedrock-agent-session-id:
      - test_session
      x-amzn-RequestId:
      - 4674c7dc-2f61-4fb2-b364-df3a2287a6ff
      x-amzn-bedrock-agent-content-type:
      - application/json
    status:
      code: 200
      message: OK
version: 1
